Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get merchant user

Gets a single merchant user including tags, attributes, organisations and customer groups.

GET/api/v2/{team_slug}/{app_slug}/merchant-users/{user_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
user_idstring<uuid>required
Responses
200

OK

dataMerchantUserrequired
Show properties
idUUIDrequired
app_idUUIDrequired
namestring | null
surnamestring | null
emailstringrequired
languagestring | null
marketstringrequired
store_groupstringrequired
phone_numberstring | null
additionsobject | null
email_verifiedboolean
email_verification_sent_atstring<date-time> | null
communication_preferencesMerchantUserCommunicationPreferences
Show properties
allow_emailboolean
allow_smsboolean
allow_postalboolean
addressMerchantUserAddress
Show properties
streetstring
zip_codestring
citystring
countrystring
country_codestring
statusstringrequired
commentstring | null
is_super_adminboolean
third_party_sign_upboolean
tagsMerchantUserTag[] | null
Show properties
Array of MerchantUserTag
idUUIDrequired
keystring
namestring
statusstring
filterableboolean
created_atstring<date-time>
updated_atstring<date-time> | null
attributesMerchantUserAttribute[] | null
Show properties
Array of MerchantUserAttribute
idUUIDrequired
keystring
namestring
descriptionstring
filterableboolean
translatableboolean
valuesobject
organisationsMerchantUserOrganisation[] | null
Show properties
Array of MerchantUserOrganisation
idUUIDrequired
namestringrequired
organisation_numberstring | null
custom_role_idUUID
custom_role_slugstring
custom_role_namestring
levelstring
address_restrictionsMerchantUserAddressRestriction[] | null
Show properties
Array of MerchantUserAddressRestriction
organisation_idUUIDrequired
organisation_numberstring | null
organisation_namestringrequired
address_idUUIDrequired
formatted_addressstringrequired
customer_groupsMerchantUserCustomerGroup[] | null
Show properties
Array of MerchantUserCustomerGroup
idUUIDrequired
slugstring
namestring
created_atstring<date-time>required
updated_atstring<date-time> | null
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/merchant-users/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
    "name": "string",
    "surname": "string",
    "email": "string",
    "language": "string",
    "market": "string",
    "store_group": "string",
    "phone_number": "string",
    "additions": {
      "property1": "string",
      "property2": "string"
    },
    "email_verified": true,
    "email_verification_sent_at": "2019-08-24T14:15:22Z",
    "communication_preferences": {
      "allow_email": true,
      "allow_sms": true,
      "allow_postal": true
    },
    "address": {
      "street": "string",
      "zip_code": "string",
      "city": "string",
      "country": "string",
      "country_code": "string"
    },
    "status": "string",
    "comment": "string",
    "is_super_admin": true,
    "third_party_sign_up": true,
    "tags": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "key": "string",
        "name": "string",
        "status": "string",
        "filterable": true,
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ],
    "attributes": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "key": "string",
        "name": "string",
        "description": "string",
        "filterable": true,
        "translatable": true,
        "values": {
          "property1": {
            "value": "string",
            "type": "string",
            "translations": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "property2": {
            "value": "string",
            "type": "string",
            "translations": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "locale": "string",
                "value": "string"
              }
            ]
          }
        }
      }
    ],
    "organisations": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "organisation_number": "string",
        "custom_role_id": "4f5deddb-3218-41fa-acf0-ef42cdc17a8c",
        "custom_role_slug": "string",
        "custom_role_name": "string",
        "level": "string"
      }
    ],
    "address_restrictions": [
      {
        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",
        "organisation_number": "string",
        "organisation_name": "string",
        "address_id": "a32b0e3d-a5f5-48d8-a572-6ae561815055",
        "formatted_address": "string"
      }
    ],
    "customer_groups": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "slug": "string",
        "name": "string"
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}